html {
  scroll-behavior: auto;
}

.hero-container {
  display: grid;
  gap: var(--g4-gap);
}
.hero-card {
  display: grid;
  gap: var(--g2-gap);
}
.section-header {
  display: grid;
  gap: var(--g1-gap);
}
.section-title {
  font-size: var(--small-size);
  font-weight: 700;
  color: var(--dark-green);
  
  display: flex;
  justify-content: start !important;
}
.section-header h1 {
  font-size: var(--h1-size);
  font-weight: 800;
  line-height: 1.1;
}
.hero-card p {
  font-size: var(--p-size);
  font-weight: 500;
}
.hero-image-container {
  height: 240px;
  width: 100%;
}
.hero-image {
  border-radius: var(--border-radius);
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
  box-shadow: var(--shadow);
}
.alt-hero-image {
  object-position: right;
}

.section-2 {
  background-color: var(--dark-green);
}
.mission-vision-container {
  display: grid;
  gap: var(--g3-gap);
}
.mission-vision-card {
  display: grid;
  gap: var(--g1-gap);
  background-color: var(--white);
  border-radius: var(--border-radius);
  padding: var(--g3-gap);
  box-shadow: var(--shadow);
  align-content: start;
}
.mission-vision-card h2 {
  font-size: var(--h2-size);
  font-weight: 700;
}
.mission-vision-card p {
  font-size: var(--p-size);
  font-weight: 500;
}

.section-3 {
  padding: var(--section-padding);
}
.about-description {
  display: flex;
  justify-content: center;
}
.about-description p {
  text-align: center;
  font-size: var(--p-size);
  font-weight: 500;
}

.section-4 {
  display: grid;
  gap: var(--g4-gap);
  background-color: var(--light-grey);
}
.section-4-content-container {
  display: grid;
  gap: var(--g2-gap);
}

.section-5 {
  display: grid;
  gap: var(--g3-gap);
}
#executive-committee {
  scroll-margin-top: 5.5rem;
}
.section-header h2 {
  font-size: var(--h2-size);
  font-weight: 700;
}
.officials {
  display: grid;
  gap: var(--g3-gap);
}
.official-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--g2-gap);
}
.official-card {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: var(--g2-gap);
  align-items: center;
  background-color: var(--white);
  border-radius: var(--border-radius);
  padding: var(--g1-gap);
  box-shadow: var(--shadow);
  align-content: start;
}
.official-image-container {
  height: 5.5rem;
  width: 5.5rem;
}
.official-image {
  height: 100%;
  width: 100%;
  border-radius: 0.625rem;
  object-fit: cover;
  object-position: center top;
  box-shadow: var(--shadow);
}
.official-details {
  display: grid;
  gap: var(--g1-gap);
}
.official-name {
  text-transform: uppercase;
}
.secondary-details {
  display: grid;
  gap: 0.15rem;
}
.official-name {
  font-size: var(--small-size);
  font-weight: 700;
}
.official-position, .official-institution {
  font-size: var(--small-size);
  font-weight: 500;
}
.official-institution {
  font-weight: 600;
}

/* Tablet */
@media (min-width: 768px) {
  .hero-image-container {
    height: 500px;  
    width: 100%;
  }

  .mission-vision-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  #executive-committee {
    scroll-margin-top: 6.5rem;
  }
  .official-card {
    padding: 0.75rem;
  }
  .official-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--g3-gap);
  }
  .official-image-container {
    height: 6.5rem;
    width: 6.5rem;
  }
  .official-image {
    border-radius: 1rem;
  }
  .official-details {
    gap: var(--g2-gap)
  }
}

/* Laptop / Desktop */
@media (min-width: 1024px) {
  .hero-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 4rem;
  }
  .hero-image-container {
    height: 500px;
    width: 100%;
  }

  .mission-vision-container {
    gap: var(--g4-gap);
  }

  .section-4 {
    grid-template-columns: repeat(2, 1fr); 
    gap: 4rem;
    align-items: center;
  }

  .official-container {
    grid-template-columns: repeat(3, 1fr);
  }
  .official-image-container {
    height: 8rem;
    width: 8rem;
  }
  .secondary-details {
    gap: 0.25rem;
  }
}